WordPress.org

Plugin Directory

Backend Localization

This plugin enables you to run your blog in a different language than the backend of your blog. So you can serve your blog using e.g. German as the de

2.1.6

  • Fixing some flags
  • Time invested for this release: 60min

2.1.5

  • Adding 27 new languages
  • Time invested for this release: 80min

Older releases

  • 2.1.4 Fixing "tested up to" value
  • 2.1.3 Adding flag for en_GB locale
  • 2.1.2 Fixing empty backend locale
  • 2.1.1 Fixing detection of AJAX calls from backend
  • 2.1 Fixing $locale for AJAX calls from frontend
  • 2.0.4 Adding new languages Schweizerdeutsch and Tagalog
  • 2.0.3 Adding correct flag for Estonia
  • 2.0.2 Adding flags for new languages added in version 2.0
  • 2.0.1 Fixing shown language in the switching message. Use htmlspecialchars() to prevent XSS vulnerabilities. Thanks again to Matt Fuller for teaching me how to do it correctly!
  • 2.0 Adding some new languages. Fixing link to switch languages in backend. Thanks to Justin! Fixing XSS vulnerabilities. Many Thanks to Matt Fuller from MOZILLA!
  • 1.6.1 Fixing typo in language names
  • 1.6 Add WP3 CSS class for the language select on the login form
  • 1.5 Fixing the plugin for WordPress 3.0 MULTISITE feature
  • 1.4 Fixing the plugin for WordPress MU and fixing the login form selection
  • 1.3 Make the plugin working with PHP4. Thanks to David for the fix: http://www.est322.com/?p=520
  • 1.2.1 Replace do_action() with add_action() for admin_menu to avoid issues with other plugins
  • 1.2 Adding support for new languages
  • 1.1 Removing "short open tags" which causes error on blog that don't have "short_open_tag" set to "On"
  • 1.0 Adding language switcher to admin menu and option to hide language selection on login form
  • 0.6 Saving language setting in cookie to enable different languages for multiple users
  • 0.5 Adding language selection to login screen
  • 0.4 Display all languages that are installed in the WordPress language folder
  • 0.3 Activate new language after saving settings (no more need to refresh)
  • 0.2 Adding German translation for settings page
  • 0.1 First stable release

Requires: 3.2 or higher
Compatible up to: 4.1.5
Last Updated: 2015-2-19
Active Installs: 1,000+

Ratings

4.8 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1 100,1,1
100,1,1
100,1,1
0,1,0
100,1,1
100,2,2
0,1,0
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1 100,1,1
100,1,1
100,1,1